// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/./Frameworks/OmniSCSI/OSCSI3CDRomUnit.h,v 1.13 2000/09/08 19:18:33 bungi Exp $

#import <OmniSCSI/OSCSI2CDRomUnit.h>


@interface OSCSI3CDRomUnit : OSCSI2CDRomUnit <OSCSICDRomAudioIdentification, OSCSICDRomAudioScan, OSCSICDRomAudioData>
{
    // Values determined from the CD Capabilities mode page -- 0x2A (non-exhaustive)
    BOOL           _isWritable;
    BOOL           _isReWritable;
    BOOL           _supportsTestWriteMode;
    BOOL           _cddaSupported;
    BOOL           _cddaStreamAccurate;
    unsigned short _maximumReadSpeed; // all speeds in kBps
    unsigned short _currentReadSpeed;
    unsigned short _maximumWriteSpeed;
    unsigned short _currentWriteSpeed;
}

@end
