// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/./Frameworks/OmniSCSI/OSCSI2CDRomUnit.h,v 1.5 2000/09/08 19:18:32 bungi Exp $

#import <OmniSCSI/OSCSIBlockUnit.h>

#import <OmniSCSI/OSCSICDProtocols.h>

@interface OSCSI2CDRomUnit : OSCSIBlockUnit <OSCSICDRomAudioControl, OSCSICDRomAudioVolumeControl>
{
    OSCSICDTableOfContents     *_tableOfContents;

    OSCSILogicalBlockAddress    _currentLBA;
    OSCSICDAudioStatus          _currentStatus;

    unsigned int                _currentTrack;
    unsigned int                _currentIndex;

    float                       _leftVolumePercentage;
    float                       _rightVolumePercentage;
}

- (id <OSCSICDRecorder>) recorderUnit;
// Returns an intances appropriate for recording discs using this device.
// Returns nil if this devices isn't capable of writing

@end
