// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/./Frameworks/OmniSCSI/scsiscan/scsiscan_main.m,v 1.5 1999/06/17 16:42:45 bungi Exp $

#import <Foundation/Foundation.h>
#import <OmniSCSI/OmniSCSI.h>
#import <OmniBase/OmniBase.h>

void main (int argc, const char *argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    NSEnumerator *busEnum;
    OSCSIBus *bus;
    
    [OBPostLoader processClasses];

    busEnum = [[OSCSIBus busses] objectEnumerator];
    while ((bus = [busEnum nextObject]))
        NSLog(@"bus = %@", [bus debugDictionary]);
    
    [pool release];
    exit(0);       // insure the process exit status is 0
}
